#ifndef _shallow_neural_net_h_
#define _shallow_neural_net_h_

#include <iostream>
#include <Eigen/Dense>
#include "structs_definitions.h"

class ShallowNeuralNet
{
protected:

public:
  Eigen::MatrixXd b1_;
  Eigen::MatrixXd b2_;
  Eigen::MatrixXd gain_;
  Eigen::MatrixXd w1_;
  Eigen::MatrixXd w2_;
  Eigen::MatrixXd x_offset_;
  Eigen::MatrixXd y_min_;

  int number_of_features_;
  int number_of_neurons_in_hidden_layer_;
  int number_of_neurons_in_output_layer_;

  ShallowNeuralNet(void);
  ~ShallowNeuralNet(void);

  double predict(Eigen::VectorXd features);
};

#endif
